> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vault a card

> Store a card by reference to a processor token. Sly never sees PAN or CVV.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/cards/vault
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/cards/vault:
    post:
      tags:
        - Cards Vault
      summary: Vault a card
      description: >-
        Store a card by reference to a processor token. Sly never sees PAN or
        CVV.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                accountId:
                  type: string
                  format: uuid
                processor:
                  type: string
                  enum:
                    - stripe
                    - adyen
                processorToken:
                  type: string
                cardLastFour:
                  type: string
                  minLength: 4
                  maxLength: 4
                cardBrand:
                  type: string
                expiryMonth:
                  type: integer
                  minimum: 1
                  maximum: 12
                expiryYear:
                  type: integer
                label:
                  type: string
                  maxLength: 255
                billingAddress:
                  type: object
                  properties:
                    line1:
                      type: string
                    city:
                      type: string
                    postal_code:
                      type: string
                    country:
                      type: string
                    line2:
                      type: string
                    state:
                      type: string
                  required:
                    - line1
                    - city
                    - postal_code
                    - country
                metadata:
                  type: object
                  additionalProperties: {}
              required:
                - accountId
                - processor
                - processorToken
                - cardLastFour
                - cardBrand
                - expiryMonth
                - expiryYear
      responses:
        '201':
          description: Vaulted
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/VaultedCard'
                required:
                  - data
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    VaultedCard:
      type: object
      properties:
        id:
          type: string
        account_id:
          type: string
          format: uuid
        processor:
          type: string
          enum:
            - stripe
            - adyen
        processor_token:
          type: string
          description: Tokenized reference at the processor — never PAN
        card_last_four:
          type: string
        card_brand:
          type: string
        expiry_month:
          type: integer
          minimum: 1
          maximum: 12
        expiry_year:
          type: integer
        label:
          type:
            - string
            - 'null'
        billing_address:
          type:
            - object
            - 'null'
          properties:
            line1:
              type: string
            city:
              type: string
            postal_code:
              type: string
            country:
              type: string
          required:
            - line1
            - city
            - postal_code
            - country
        visa_token_id:
          type:
            - string
            - 'null'
        mastercard_token_id:
          type:
            - string
            - 'null'
        metadata:
          type: object
          additionalProperties: {}
          default: {}
        created_at:
          type: string
          format: date-time
      required:
        - id
        - account_id
        - processor
        - processor_token
        - card_last_four
        - card_brand
        - expiry_month
        - expiry_year
        - created_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````